Bug 249980 - yap not built with $RPM_OPT_FLAGS
Summary: yap not built with $RPM_OPT_FLAGS
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yap (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Gérard Milmeister
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Keywords: Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-28 21:03 UTC by Ville Skyttä
Modified: 2008-04-10 19:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-10 19:13:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Build with $RPM_OPT_FLAGS (446 bytes, patch)
2007-07-28 21:03 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2007-07-28 21:03:56 UTC
yap is not built with $RPM_OPT_FLAGS, fix attached.

Comment 1 Ville Skyttä 2007-07-28 21:03:56 UTC
Created attachment 160177 [details]
Build with $RPM_OPT_FLAGS

Comment 2 Bug Zapper 2008-04-04 13:29:49 UTC
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 3 Ville Skyttä 2008-04-09 19:41:41 UTC
Still an issue in current Rawhide.

http://koji.fedoraproject.org/packages/yap/5.1.1/9.fc9/data/logs/x86_64/build.log

Eg. "gcc -c -O3 -fomit-frame-pointer -Wall -Wstrict-prototypes
-Wmissing-prototypes -shared -fPIC  -DCOROUTINING=1 -DRATIONAL_TREES=1
-DDEPTH_LIMIT=1  -DHAVE_CONFIG_H -I. -I./H -I./OPTYap -I./BEAM -I./MYDDAS
./C/gprof.c -o gprof.o" -> no $RPM_OPT_FLAGS there.

Comment 4 Gérard Milmeister 2008-04-10 19:13:22 UTC
fixed


Note You need to log in before you can comment on or make changes to this bug.